Package com.sas.lsaf.workflow.processflow.setup

## Class TimerEventSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.EventSetup
    - - com.sas.lsaf.workflow.processflow.setup.TimerEventSetup

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TimerEventSetup
      extends EventSetup

  The class that specifies the setup information for the TimerEventSetup elements that are in a process flow.

  Note: If the `TimerType` is `DATE`, the timer value must be a `Date`. If the `TimerType` is `DURATION`, the timer value must be a string in ISO 8601 duration format. An example of duration is P10D, which represents 10 days.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TimerEventSetup.TimerType` | The valid values for the type of timer that is in a timer event.

  - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimerEventSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowId, TimerEventSetup.TimerType timerType)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TimerEventSetup.TimerType` | `getTimerType()` | Gets the type of timer.
    `java.io.Serializable` | `getTimerValue()` | Gets the value of the timer.
    `void` | `setTimerValue​(java.io.Serializable timerValue)` | Sets the timer value.

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.EventSetup

      `equals, hashCode, toString`

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerEventSetup

          public TimerEventSetup​(java.lang.String name,
                                 java.lang.String description,
                                 java.lang.String elementId,
                                 Element.ElementType type,
                                 java.lang.String processFlowId,
                                 TimerEventSetup.TimerType timerType)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the setup events returned by the API.
      Parameters:
        `name` - The name of the event.
        `description` - The description of the event.
        `elementId` - The identifier of the event as it appears in the process flow definition.
        `type` - The type of the event.
        `processFlowId` - The identifier of the process flow that contains the event.
        `timerType` - The type of timer for the timer event.

  - ### Method Detail

    - #### getTimerValue

          public java.io.Serializable getTimerValue()

      Gets the value of the timer.
      Returns:
        The value.

    - #### setTimerValue

          public void setTimerValue​(java.io.Serializable timerValue)

      Sets the timer value. If `TimerType` is of type `DATE`, the timer value must be a `Date`. If `TimerType` is of type `DURATION`, the timer value must be a string in ISO 8601 duration format. An example of duration is P10D, which represents 10 days.
      Parameters:
        `timerValue` - The timer value.

    - #### getTimerType

          public TimerEventSetup.TimerType getTimerType()

      Gets the type of timer. See `TimerEventSetup.TimerType`.
      Returns:
        The timer type.